Download the alpha versions of ImpressCMS 2

Get ImpressCMS 2.0

Test the preview 100% free and tell us about your experience in the forums. 

Installation

We have a separate installation walkthrough for ImpressCMS 2 which can be found HERE

Requirements

  • At the moment we recommend servers running PHP version 7.3 and MySQL 5.6 or MariaDB 10.0 or greater.
  • We also recommend Apache as webserver although alternatives such as nginx should work as well, although they are not tested.
  • ImpressCMS 2.0 has dropped support for PHP 5.x and PHP 7.0, 7.1 and 7.2, we recommend you upgrade to PHP 7.3 as soon as possible.